Summary: Basic TCP/IP networking init scripts and configuration files
Name: init-ifupdown
Version: 1.0
Release: r7.0
License: GPLv2
Group: base
Packager: Wind River <info@windriver.com>
URL: http://packages.debian.org/ifupdown
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: initscripts
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: update-rc.d-native
Requires: netbase
Requires: /bin/sh
Requires(pre): netbase
Requires(pre): /bin/sh
Requires(post): netbase
Requires(post): /bin/sh
Requires(preun): netbase
Requires(preun): /bin/sh
Requires(postun): netbase
Requires(postun): /bin/sh
Suggests: update-rc.d
Conflicts: netbase < 1:5.0

%description
This package provides high level tools to configure network interfaces

%package -n init-ifupdown-dbg
Summary: Basic TCP/IP networking init scripts and configuration files - Debugging files
Group: devel
Recommends: init-ifupdown = 1.0-r7.0

%description -n init-ifupdown-dbg
This package provides high level tools to configure network interfaces
This package contains ELF symbols and related sources for debugging
purposes.

%package -n init-ifupdown-staticdev
Summary: Basic TCP/IP networking init scripts and configuration files - Development files (Static Libraries)
Group: devel
Requires: init-ifupdown-dev = 1.0-r7.0

%description -n init-ifupdown-staticdev
This package provides high level tools to configure network interfaces
This package contains static libraries for software development.

%package -n init-ifupdown-dev
Summary: Basic TCP/IP networking init scripts and configuration files - Development files
Group: devel
Requires: init-ifupdown = 1.0-r7.0
Suggests: netbase-dev
Suggests: initscripts-dev

%description -n init-ifupdown-dev
This package provides high level tools to configure network interfaces
This package contains symbolic links, header files, and related items
necessary for software development.

%package -n init-ifupdown-doc
Summary: Basic TCP/IP networking init scripts and configuration files - Documentation files
Group: doc

%description -n init-ifupdown-doc
This package provides high level tools to configure network interfaces
This package contains documentation.

%package -n init-ifupdown-locale
Summary: Basic TCP/IP networking init scripts and configuration files
Group: base

%description -n init-ifupdown-locale
This package provides high level tools to configure network interfaces

%pre
# init-ifupdown - preinst
#!/bin/sh
if [ -z "$D" -a -f "/etc/init.d/networking" ]; then
	/etc/init.d/networking stop
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-f -r $D"
	else
		OPT="-f"
	fi
	update-rc.d $OPT networking remove
fi


%post
# init-ifupdown - postinst
#!/bin/sh
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT="-s"
	fi
	update-rc.d $OPT networking start 01 2 3 4 5 . stop 80 0 6 1 .
fi


%preun
# init-ifupdown - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
if [ -z "$D" ]; then
	/etc/init.d/networking stop
fi
fi

%postun
# init-ifupdown - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT=""
	fi
	update-rc.d $OPT networking remove
fi
fi

%files
%defattr(-,-,-,-)
%dir "/etc"
%dir "/etc/network"
%dir "/etc/init.d"
%dir "/etc/network/if-down.d"
%dir "/etc/network/if-pre-up.d"
%dir "/etc/network/if-post-down.d"
%dir "/etc/network/if-up.d"
%config "/etc/network/interfaces"
"/etc/network/if-pre-up.d/nfsroot"
"/etc/init.d/networking"

%files -n init-ifupdown-dbg
%defattr(-,-,-,-)

%files -n init-ifupdown-dev
%defattr(-,-,-,-)

